## org.apache.commons.collections.set
Class AbstractSetDecorator

    java.lang.Object
      org.apache.commons.collections.collection.AbstractCollectionDecorator
          org.apache.commons.collections.set.AbstractSetDecorator

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection, java.util.Set

Direct Known Subclasses:
  AbstractSerializableSetDecorator, AbstractSortedSetDecorator, UnmodifiableEntrySet

    public abstract class AbstractSetDecorator

extends AbstractCollectionDecorator
implements java.util.Set

Decorates another `Set` to provide additional behaviour.

Methods are forwarded directly to the decorated set.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne

Field Summary

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Constructor Summary
`protected` `AbstractSetDecorator()` Constructor only used in deserialization, do not use otherwise.
`protected` `AbstractSetDecorator(java.util.Set set)` Constructor that wraps (not copies).

Method Summary
`protected java.util.Set` `getSet()` Gets the set being decorated.

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`add, addAll, clear, contains, containsAll, equals, getCollection, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### AbstractSetDecorator

    protected AbstractSetDecorator()

  Constructor only used in deserialization, do not use otherwise.

  Since:
    Commons Collections 3.1

### AbstractSetDecorator

    protected AbstractSetDecorator(java.util.Set set)

  Constructor that wraps (not copies).

  Parameters:
    `set` - the set to decorate, must not be null
  Throws:
    `java.lang.IllegalArgumentException` - if set is null

Method Detail

### getSet

    protected java.util.Set getSet()

  Gets the set being decorated.

  Returns:
    the decorated set

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.